Package org.apache.tomcat.websocket

## Class DecoderEntry

- java.lang.Object
- - org.apache.tomcat.websocket.DecoderEntry

    public class DecoderEntry
    extends Object

### Constructor Summary

Constructors
`DecoderEntry​(Class<?> clazz, Class<? extends Decoder> decoderClazz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getClazz()`
`Class<? extends Decoder>` `getDecoderClazz()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecoderEntry

    public DecoderEntry​(Class<?> clazz,
                        Class<? extends Decoder> decoderClazz)

### Method Detail

#### getClazz

    public Class<?> getClazz()

#### getDecoderClazz

    public Class<? extends Decoder> getDecoderClazz()